org.springframework.web.reactive.function

## Interface BodyExtractor<T,M extends org.springframework.http.ReactiveHttpInputMessage>

Type Parameters:
  `T` - the type of data to extract
  `M` - the type of `ReactiveHttpInputMessage` this extractor can be applied to

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface BodyExtractor<T,M extends org.springframework.http.ReactiveHttpInputMessage>

A function that can extract data from a `ReactiveHttpInputMessage` body.

Since:
  5.0
Author:
  Arjen Poutsma
See Also:
  `BodyExtractors`

### Nested Class Summary

Nested Classes
`static interface` `BodyExtractor.Context` Defines the context used during the extraction.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `extract(M inputMessage, BodyExtractor.Context context)` Extract from the given input message.

### Method Detail

#### extract

    T extract(M inputMessage,
              BodyExtractor.Context context)

Extract from the given input message.

Parameters:
  `inputMessage` - the request to extract from
  `context` - the configuration to use
Returns:
  the extracted data